RDKit: RDKit::EnumerationStrategyPickler Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Functions
RDKit::EnumerationStrategyPickler Namespace Reference

## Functions
RDKIT_CHEMREACTIONS_EXPORT void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::ostream &ss)
| pickles a EnumerationStrategy and adds the results to a stream `ss`
RDKIT_CHEMREACTIONS_EXPORT void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::string &s)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | fromPickle (std::istream &pickle)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | fromPickle (const std::string &pickle)
| a pointer to the EnumerationStrategyBase

## Function Documentation

## ◆ fromPickle() [1/2]

RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > RDKit::EnumerationStrategyPickler::fromPickle | ( | const std::string & | pickle | ) |

a pointer to the EnumerationStrategyBase

References pickle().

## ◆ fromPickle() [2/2]

RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > RDKit::EnumerationStrategyPickler::fromPickle | ( | std::istream & | pickle | ) |

constructs a EnumerationStrategy from a pickle stored in a string Since an EnumerationStrategyBase is polymorphic, this must return a shared pointer to the EnumerationStrategyBase

References pickle(), and RDKIT_CHEMREACTIONS_EXPORT.

## ◆ pickle() [1/2]

RDKIT_CHEMREACTIONS_EXPORT void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::ostream & | ss )

pickles a EnumerationStrategy and adds the results to a stream `ss`

References RDKIT_CHEMREACTIONS_EXPORT.

Referenced by fromPickle(), and fromPickle().

## ◆ pickle() [2/2]

RDKIT_CHEMREACTIONS_EXPORT void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::string & | s )

References RDKIT_CHEMREACTIONS_EXPORT.